#
# File:		makefile.bcc
# Author:	Julian Smart
# Created:	1993
# Updated:	
# Copyright:	(c) 1993, AIAI, University of Edinburgh
#
# "%W% %G%"
#
# Makefile : Builds wxWindows library wx.lib for Windows 3.1
# and Borland C++ 3.1. This makefile calls makefile.bcc in msw and
# base subdirectories.

# Change these if needed.
WXDIR = d:\wxwin
OPT = -O2
DEBUG_FLAGS = -v

WXBASEINC = $(WXDIR)\include\base
WXINC = $(WXDIR)\include\msw
CFG = $(WXDIR)\src\wxwin.cfg
BCCDIR = d:\borlandc

all:    wxwin.cfg
	cd $(WXDIR)\src\msw
	make -f makefile.bcc -DCFG=$(CFG) -DWXDIR=$(WXDIR) -DDEBUG_FLAGS=$(DEBUG_FLAGS) -DOPT=$(OPT)
	cd $(WXDIR)\src

wxwin.cfg: makefile.bcc
	copy &&!
-H=windows.h
-3
-P
-w-hid
-w-par
-w-pia
-w-aus
-w-rch
-ml
-Oxt
-WSE
-I$(WXBASEINC);$(WXINC);$(BCCDIR)\include

-L$(BCCDIR)\lib
-Dwx_msw
! wxwin.cfg


